Bug 102543 - non PnP SB16 soundcard init fails after SOFT reboot.
non PnP SB16 soundcard init fails after SOFT reboot.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-17 01:27 EDT by Need Real Name
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-08-17 01:27:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I've used sndconfig to install a non-PNP ISA SoundBlaster 16 on my P233 computer.

It's hard-jumpered on IRQ 7 (not clashing with anything else), and its been set
it up as follows in modules.conf

alias sound-slot-0 sb
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
options sound dmabuf=1
alias synth0 opl3
alias synth1 wave
options opl3 io=0x388
options sb io=0x220 irq=7 dma=1 dma16=5 mpu_io=0x330

which are all the correct settings hard wired on the card. The card actually
tests fine on the sample of Linus speaking, and in the rest of gnome, but
everytime I do a SOFT reboot, ie a restart, the boot sequence gets to the
snd-config part where it checks for a pnp-isa card and then tries to load
non-pnp card settings and then just stops - no green OK, the whole computer
freezes - no keystrokes/combinations work or anything and I have to do a hard reset.

Which is wierd, because everytime I do a hard reset, that non-pnp soundcard
initiasation part of the boot sequence passes fine with a green "OK" and the
card works in the OS. Only during the boot sequence after a SOFT reset does the
whole thing hang. Very wierd.

Tries a different IRQ, same problem though.

Version-Release number of selected component (if applicable):
sndconfig-0.70-2

How reproducible:
Always

Steps to Reproduce:
1.Install an ISA SB16 Non-PNP
2.Set the card up with sndconfig
3.Watch the boot seq. hang on soundcard init bit on every SOFT reset.

Actual Results:  Whole Computer hangs, Green OK doesn't appear when it tries to
load non-PNP sound card bit in grub. Hard reboot inevitable.

Additional info:
Comment 1 Need Real Name 2003-08-18 10:08:56 EDT
What I meant by the soundcard init failing was that the sb module failed to
load, it crashes before a green OK comes up after a soft reboot.

What I've recently found is that if I set:

options sound dmabuf=0 

instead of 

options sound dmabuf=1

in the /etc/modules.conf file, then the card appears to work OK without crashing
on boot, although any message of a soundcard module being loaded now does not
come up on boot.

I'm not sure what dmabuf does, or if setting it to 0 reduces performance at all,
but when it was =1 everything froze, so maybe the option isn't compatible with
the SB16 NonPNP. 
Comment 2 Need Real Name 2003-08-29 20:10:18 EDT
What I've now noticed so far is:

1) To avoid the sound module crashing the whole computer on boot (the bit where
it says "No ISAPnP devices found, trying standard ones..."), you have to put the
dmabuff=0 in the modules.conf file in the blurb generated by sndconfig (at
whatever cost that does to it)

2) Even if you do that, with the soundcard working acceptably as far as its own
functionality goes from then on, it causes very frequent lock ups booting into
Gnome, with litterally EVERYTHING freezing up when it switches to the light blue
screen just after logging in, an instant before the splash screen appears.

3) The latter is less likely to happen, though not immune from happening, if one
logs in as root instead of pleb user.

Comment 3 Bugzilla owner 2004-09-30 11:41:26 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.